Bug 218484 - LSPP: Audit unable to add tgkill syscall rule
LSPP: Audit unable to add tgkill syscall rule
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: audit (Show other bugs)
5.0
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Grubb
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-05 13:25 EST by Kylene J Hall
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 20:22:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kylene J Hall 2006-12-05 13:25:54 EST
Description of problem:
Unable to add an audit rule for tgkill.

Version-Release number of selected component (if applicable):
audit-1.2.9-1.el5

How reproducible:
Easily

Steps to Reproduce:
1. newrole -r auditadm_r
2. auditctl -a exit,always -S tgkill
  
Actual results:
Syscall name unknown: tgkill

Expected results:
Zero return code to indicate success.
Comment 1 Steve Grubb 2006-12-05 14:07:00 EST
Ok, simple fix. I have this patched in my source code. Before I commit this fix,
is this the only syscall that is missing on any arch? Thanks.
Comment 2 RHEL Product and Program Management 2006-12-05 14:30:17 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Kylene J Hall 2006-12-05 18:01:34 EST
Its the only one I know of.
Comment 6 Steve Grubb 2006-12-10 19:23:38 EST
audit-1.3.1-1 was built to solve this problem. We are uptream for this package
and I collected all the patches we were applying and put them in the tar file.
Comment 7 Jay Turner 2006-12-14 07:32:58 EST
QE ack for RHEL5 based on LSPP need.
Comment 8 Kylene J Hall 2006-12-28 19:45:35 EST
I have verified that this bug is fixed in Snapshot 5.
Comment 9 RHEL Product and Program Management 2007-02-07 20:22:56 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.